﻿using Expose.MyIT.Shared.ViewModels;
using Microsoft.AspNetCore.Components;
using System.Net.Http.Json;

namespace Expose.MyIT.Client.Pages;

public partial class FetchServiceShopOrders
{

    [Inject] protected HttpClient? Http { get; set; }

    private ServiceShopOrder[]? _ServiceShopOrders;

    //Id
    //Name
    //BookingNames
    //Type
    //State
    //ItemNumber
    //CreatedDate
    //DecidedDate
    //Recipient
    //Requestor

    protected override async Task OnInitializedAsync()
    {
        if (Http is null)
            throw new NullReferenceException(nameof(Http));
        string controllerName = MyIT.Shared.Models.Stateless.Methods.IServiceShopOrderController.GetRouteName();
        string actionName = nameof(MyIT.Shared.Models.Stateless.Methods.ISsaOrderController.GetAllSsaOrders).Substring(3, 3);
        _ServiceShopOrders = await Http.GetFromJsonAsync<ServiceShopOrder[]>($"api/{controllerName}/{actionName}");
    }
}